#!/bin/sh

# test_libsteg_043.sh
# Tests the wonders of libsteg.

# systemshock_screen003.pnm is the pnm image to be stegged.
steg04 systemshock_screen003.pnm ../libsteg-0.4.3c.txt steg043y.pnm
# the output of steg04 is a stegged pnm file which can be viewed with GIMP, xv, or other program.

# steg043y.pnm is the pnm image stegged with the secret data.
desteg04 steg043y.pnm desteg043y.txt

# This will create the file desteg043y.txt:
# 
# This is the data.txt that was inputted into steg04.
# That makes this a working keyed stenography demo.
less desteg043y.txt

# libsteg-0.4.3 features:
#     Image input/output files
#     Least Significant Bit Steg
#     Secret Steg key created from SHA1 Hash of secret password.

# TODO:
# 1) User input of secret word.
# 2) Testing all possible files sizes to ensure no segfaults.
# 3) Integration of strong encryption.
# 4) Clean up and documentation of code.
# 5) PNG Compression.
# 6) Size should be the first int, so that we can end it.
# 7) RSA Encryption

# Future:
# 1) Testing of image file for poor candidate.
# 2) Steg Cracker
# 3) 
