/*
 * PPM Image Library
 * by Joel R. Voss
 * 09/09/2004
 */

#ifndef IMAGE_H_

#define IMAGE_H_

#include "types.h"

struct Color
{
	BYTE r,g,b;
};

typedef BYTE Grey;

// General Image Class
struct Image
{
	int height;
	int width;
	int colors; // usually 255, must be less than 65536
	int bpp;    // bits per pixel
	BYTE *data;
};

struct Image loadImage(const char *sFile);
void saveImage(struct Image *image, const char *sFile);

void drawImage(struct Image *image, int x, int y, struct Color c);
struct Image createImage(int init_height, int init_width, int init_bpp);

#endif // IMAGE_H_
