/*
 * Rubber Spoon libSteg 0.4
 * by Joel R. Voss
 * August 16, 2004 10:55
 * SEE rs04.txt for more details.
 */

#include <stdio.h>
#include <stdlib.h>

#include "readfile.h"

/*
 * readFile() reads data from the file to the data.
 * It returns the size of the file.
 * On an error, it returns -1.
 */
int readFile(char *filename, BYTE **data)
{
	FILE *fp;
	fp = fopen(filename, "r");
	if(fp == 0)
	{
		printf("Error: File not readable.\n");
		return -1;
	}
	// Find out the size by going to the end of file,
	fseek(fp, 0, SEEK_END);
	// and getting the position.
	int size = ftell(fp);
	/*if(size > 400000)
	{
		printf("Error: File larger than 400k.\n");
		fclose(fp);
		return -1;
	}*/
	
	// Allocate the output array.
	*data = (BYTE *)malloc(size);
	if(*data == 0)
	{
		printf("Error: Memory allocation failed.\n");
		fclose(fp);
		return -1;
	}
	// Go to the start of the file.
	fseek(fp, 0, SEEK_SET);
	// Read the entire file into the array.
	fread(*data, size, 1, fp);
	fclose(fp);
	// Return the size.
	return size;
}
